### Virtual Method

# Gtk.CellRenderer.activate

#### Declaration [src]

    gboolean
    activate (
      GtkCellRenderer* cell,
      GdkEvent* event,
      GtkWidget* widget,
      const char* path,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Passes an activate event to the cell renderer for possible processing. Some cell renderers may use events; for example, `GtkCellRendererToggle` toggles when it gets a mouse click.

#### Parameters

`event` | `GdkEvent*`
| a `GdkEvent`
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| widget that received the event
| Ownership is not transferred to the callee
`path` | `const char*`
| widget-dependent string representation of the event location; e.g. for `GtkTreeView`, a string representation of `GtkTreePath`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`background_area` | `const GdkRectangle*`
| background area as passed to `gtk_cell_renderer_render()`
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| cell area as passed to `gtk_cell_renderer_render()`
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| render flags

#### Return value

Returns: `gboolean`
`TRUE` if the event was consumed/handled